Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.reflect
Class CannotInvokeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javassist.reflect.CannotInvokeException

All Implemented Interfaces:
  java.io.Serializable

public class CannotInvokeException
extends java.lang.RuntimeException

Thrown when method invocation using the reflection API has thrown an exception.

See Also:
  `Metaobject.trapMethodcall(int, Object[])`, `ClassMetaobject.trapMethodcall(int, Object[])`, `ClassMetaobject.invoke(Object, int, Object[])`, Serialized Form

Constructor Summary
`CannotInvokeException(java.lang.ClassNotFoundException e)` Constructs a CannotInvokeException with an ClassNotFoundException.
`CannotInvokeException(java.lang.IllegalAccessException e)` Constructs a CannotInvokeException with an IllegalAccessException.
`CannotInvokeException(java.lang.reflect.InvocationTargetException e)` Constructs a CannotInvokeException with an InvocationTargetException.
`CannotInvokeException(java.lang.String reason)` Constructs a CannotInvokeException with an error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotInvokeException

    public CannotInvokeException(java.lang.String reason)

  Constructs a CannotInvokeException with an error message.

### CannotInvokeException

    public CannotInvokeException(java.lang.reflect.InvocationTargetException e)

  Constructs a CannotInvokeException with an InvocationTargetException.

### CannotInvokeException

    public CannotInvokeException(java.lang.IllegalAccessException e)

  Constructs a CannotInvokeException with an IllegalAccessException.

### CannotInvokeException

    public CannotInvokeException(java.lang.ClassNotFoundException e)

  Constructs a CannotInvokeException with an ClassNotFoundException.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.